### File

`packages/eui-dynamic-forms-ui/src/lib/core/base-array/base-array.component.ts`

### Extends

`BaseDynComponent`

### Metadata

selector | `ux-dyn-base-array`
styleUrls | `./base-array.component.scss`
templateUrl | `./base-array.component.html`

### Index

###### Properties
arrayName Optional dynFormArray dynFormArrayConfig Optional formMultiStore Optional formState Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId
###### Methods
addToFormArray bindDataToControl removeAtFormArray setValuesByControl getDynFormApi getFieldData saveFieldData

### Constructor

`constructor(config: BaseDynConfig)`
Parameters :
Name | Type | Optional
config | `BaseDynConfig` | No

### Methods

addToFormArray
`addToFormArray(config?: UxDynFormModel, index?: number)`
Parameters :
Name | Type | Optional
config | `UxDynFormModel` | Yes
index | `number` | Yes
Returns : `void`

bindDataToControl
`bindDataToControl(data: Observable)`
Parameters :
Name | Type | Optional
data | `Observable<any>` | No
Returns : `void`

removeAtFormArray
`removeAtFormArray(index)`
Parameters :
Name | Optional
index | No
Returns : `void`

setValuesByControl
`setValuesByControl(newValues: Array)`
Parameters :
Name | Type | Optional
newValues | `Array<any>` | No
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

### Properties

arrayName
Type : `string`

Optional dynFormArray
Type : `FormArray`

dynFormArrayConfig
Type : `UxDynFormModel`

Optional formMultiStore
Type : `IsolatedMultiReduxHelper`

Optional formState
Type : `Observable<FormState>`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# result-matching ""

# No results matching ""